package com.tenlionsoft.oamodule.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.io.Serializable;

/**
 * 作者: adam
 * 日期: 2022/4/13 - 9:49 上午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class CarBean implements IPickerViewData, Serializable {

    private String carBuyDate;
    private String carColour;
    private String carDisplacement;
    private String carDriver;
    private String carId;
    private int carKilometers;
    private String carName;
    private String carNum;
    private int carPassengerNum;
    private String carPhoto;
    private String carState;
    private String carType;

    public String getCarBuyDate() {
        return carBuyDate;
    }

    public void setCarBuyDate(String carBuyDate) {
        this.carBuyDate = carBuyDate;
    }

    public String getCarColour() {
        return carColour;
    }

    public void setCarColour(String carColour) {
        this.carColour = carColour;
    }

    public String getCarDisplacement() {
        return carDisplacement;
    }

    public void setCarDisplacement(String carDisplacement) {
        this.carDisplacement = carDisplacement;
    }

    public String getCarDriver() {
        return carDriver;
    }

    public void setCarDriver(String carDriver) {
        this.carDriver = carDriver;
    }

    public String getCarId() {
        return carId;
    }

    public void setCarId(String carId) {
        this.carId = carId;
    }

    public int getCarKilometers() {
        return carKilometers;
    }

    public void setCarKilometers(int carKilometers) {
        this.carKilometers = carKilometers;
    }

    public String getCarName() {
        return carName;
    }

    public void setCarName(String carName) {
        this.carName = carName;
    }

    public String getCarNum() {
        return carNum;
    }

    public void setCarNum(String carNum) {
        this.carNum = carNum;
    }

    public int getCarPassengerNum() {
        return carPassengerNum;
    }

    public void setCarPassengerNum(int carPassengerNum) {
        this.carPassengerNum = carPassengerNum;
    }

    public String getCarPhoto() {
        return carPhoto;
    }

    public void setCarPhoto(String carPhoto) {
        this.carPhoto = carPhoto;
    }

    public String getCarState() {
        return carState;
    }

    public void setCarState(String carState) {
        this.carState = carState;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    @Override
    public String getPickerViewText() {
        return carNum;
    }
}
